<template>
  <button
    class="fr-link fr-link--icon-right fr-icon-download-line"
    @click="printPDF"
  >
    <slot>Télécharger</slot>
  </button>
</template>

<script>
import { trackGoal, trackDownloadClik } from '~/tools/matomo';

export default {
  name: 'FrDownloadLink',

  methods: {
    printPDF() {
      trackGoal('total downloads', 1);
      trackGoal(`${this.$route.name} download`, 1);
      trackDownloadClik(this.$route.name);
      window.print();
    },
  },
};
</script>
